4

When trying to composer install, and it reaches one of the modules using a Dev version, I get:

- Installing drupal/paragraphs (dev-1.x 42842d5): Authentication required (git.drupalcode.org): Username:

I tried removing the vendor folder, I tried removing my composer.lock file, I tried updating my git, and I tried composer clearcache. Nothing worked.

Also, I tried composer install and composer install --no-dev, and both didn't work.

Anyone ever experiences this before? I never had this issue until today...I'm also using WAMP if that helps too.

Here's my composer.json file:

{
"name": "drupal/recommended-project",
"description": "Project template for Drupal 8 projects with a relocated document root",
"type": "project",
"license": "GPL-2.0-or-later",
"homepage": "https://www.drupal.org/project/drupal",
"support": {
    "docs": "https://www.drupal.org/docs/user_guide/en/index.html",
    "chat": "https://www.drupal.org/node/314178"
},
"repositories": [
    {
        "type": "composer",
        "url": "https://packages.drupal.org/8"
    },
    { "type": "composer", 
      "url": "https://asset-packagist.org" 
    }
],
"require": {
    "composer/installers": "^1.2",
    "cweagans/composer-patches": "^1.6",
    "drupal/addtoany": "^1.14",
    "drupal/admin_toolbar": "^2.2",
    "drupal/adminimal_admin_toolbar": "^1.11",
    "drupal/adminimal_theme": "^1.5",
    "drupal/background_image": "^1.5",
    "drupal/bigmenu": "^2.0",
    "drupal/block_content_permissions": "^1.10",
    "drupal/calendar": "1.x-dev",
    "drupal/captcha": "^1.1",
    "drupal/conditional_styles": "^1.0",
    "drupal/context": "^4.0",
    "drupal/core-composer-scaffold": "^8.8",
    "drupal/core-recommended": "^8.8",
    "drupal/devel": "^4.0",
    "drupal/draggableviews": "^1.2",
    "drupal/easy_breadcrumb": "^1.12",
    "drupal/entity_block": "^1.0",
    "drupal/eva": "^2.0",
    "drupal/field_group": "^3.0",
    "drupal/filefield_sources": "^1.0",
    "drupal/flexslider": "^2.0",
    "drupal/google_analytics": "^2.5",
    "drupal/image_effects": "^3.0",
    "drupal/imce": "^2.2",
    "drupal/layout_builder_component_attributes": "^1.0",
    "drupal/libraries": "^3.0",
    "drupal/login_security": "^1.5",
    "drupal/mailsystem": "^4.3",
    "drupal/menu_block": "^1.6",
    "drupal/menus_attribute": "^1.1",
    "drupal/migrate_file": "^1.1",
    "drupal/migrate_plus": "^4.2",
    "drupal/migrate_tools": "^4.5",
    "drupal/migrate_upgrade": "^3.2",
    "drupal/mimemail": "^1.0",
    "drupal/module_filter": "^3.1",
    "drupal/override_node_options": "^2.5",
    "drupal/page_manager": "^4.0",
    "drupal/panelizer": "^4.4",
    "drupal/panels": "^4.6",
    "drupal/paragraphs": "1.x-dev",
    "drupal/password_policy": "^3.0",
    "drupal/pathauto": "1.x-dev",
    "drupal/protected_pages": "^1.2",
    "drupal/recaptcha": "^3.0",
    "drupal/redirect": "^1.6",
    "drupal/scheduler": "^1.3",
    "drupal/search_api": "^1.17",
    "drupal/search_api_page": "^1.0",
    "drupal/search_api_solr": "^4.0",
    "drupal/security_review": "^1.0",
    "drupal/sidr": "^3.1",
    "drupal/smart_trim": "^1.3",
    "drupal/text_resize": "^1.1",
    "drupal/twig_field_value": "^2.0",
    "drupal/twig_tweak": "^2.6",
    "drupal/views_data_export": "^1.0",
    "drupal/views_field_view": "^1.0",
    "drupal/views_slideshow": "^4.7",
    "drupal/webform": "^5.16",
    "drupal/xmlsitemap": "^1.0",
    "kint-php/kint": "^3.3",
    "oomphinc/composer-installers-extender": "^1.1"
},
"conflict": {
    "drupal/drupal": "*"
},
"minimum-stability": "dev",
"prefer-stable": true,
"config": {
    "sort-packages": true
},
"extra": {
    "installer-types": ["npm-asset"],
    "patches": {
        "drupal/core": {
            "Call to a member function getColumns() on boolean": "https://www.drupal.org/files/issues/2020-10-29/2893747-33.patch",
            "Call to a member function getTranslation() on null in ContentEntityBase": "https://www.drupal.org/files/issues/2020-01-24/core-ContentEntityBase_getTranslation_on_null-3108528-2.patch",
            "system_update_8804() fails if any path alias is created before it runs": "https://www.drupal.org/files/issues/2020-08-13/3098718-core.system_update_8804.truncate_path_alias_tables-69.patch"          
        },
        "drupal/panels": {
            "Custom attributes in panels blocks and variants": "https://www.drupal.org/files/issues/2020-04-30/panels_custom_attributes_in_panels_blocks-2849867-78.patch"
        },
        "drupal/menu_block": {
            "Hide region when block menu is empty": "https://raw.githubusercontent.com/stef-van-looveren/drupal-8-patches/master/menu_block-8.x-1.5-empty-region.patch"
        },
        "drupal/pathauto": {
            "Custom aliases (which are not generated with the actual patterns) can be lost during the migration": "https://www.drupal.org/files/issues/2020-11-17/pathauto-prevent_losing_custom_aliases-3079275-17--combined-with-3179835-and-3179865.patch"
        },
        "drupal/calendar": {
            "Node with calendar block wont display": "https://www.drupal.org/files/issues/2019-12-11/fix_error_for_missing_url_from_view_display-2993422-2.patch"
        }
    },
    "drupal-scaffold": {
        "locations": {
            "web-root": "web/"
        },
        "file-mapping": {
            "[web-root]/robots.txt": false,
            "[web-root]/README.txt": false,
            "[web-root]/INSTALL.txt": false,
            "[web-root]/example.gitignore": false,
            "[web-root]/modules/README.txt": false,
            "[web-root]/profiles/README.txt": false,
            "[web-root]/themes/README.txt": false,
            "[web-root]/sites/README.txt": false,
            "[web-root]/sites/default/default.services.yml": false
        } 
    },
    "installer-paths": {
        "web/core": [
            "type:drupal-core"
        ],
        "web/libraries/{$name}": [
            "type:drupal-library",
            "type:npm-asset"
        ],
        "web/modules/contrib/{$name}": [
            "type:drupal-module"
        ],
        "web/profiles/contrib/{$name}": [
            "type:drupal-profile"
        ],
        "web/themes/contrib/{$name}": [
            "type:drupal-theme"
        ],
        "drush/Commands/contrib/{$name}": [
            "type:drupal-drush"
        ],
        "web/modules/custom/{$name}": [
            "type:drupal-custom-module"
        ],
        "web/themes/custom/{$name}": [
            "type:drupal-custom-theme"
        ]
    },
    "drupal-core-project-message": {
        "include-keys": [
            "homepage",
            "support"
        ],
        "post-create-project-cmd-message": [
            "<bg=blue;fg=white>                                                         </>",
            "<bg=blue;fg=white>  Congratulations, you’ve installed the Drupal codebase  </>",
            "<bg=blue;fg=white>  from the drupal/recommended-project template!          </>",
            "<bg=blue;fg=white>                                                         </>",
            "",
            "<bg=yellow;fg=black>Next steps</>:",
            "  * Install the site: https://www.drupal.org/docs/8/install",
            "  * Read the user guide: https://www.drupal.org/docs/user_guide/en/index.html",
            "  * Get support: https://www.drupal.org/support",
            "  * Get involved with the Drupal community:",
            "      https://www.drupal.org/getting-involved",
            "  * Remove the plugin that prints this message:",
            "      composer remove drupal/core-project-message"
        ]
    }
 }
}

Thanks!

4
  • Same: drupal.stackexchange.com/q/271727/15055. What command did you run to require dev paragraphs? Can you also please add your composer.json to the question? Many thanks 🙂
    – leymannx
    Jan 28, 2021 at 17:37
  • Hi leymannx! Sorry about that last post on drupal.stackexchange.com/q/271727/15055 lol! I updated my OP. I have dev version of Paragraph and Calendar. I had Dev version of Paragraph alreaady installed before getting this issue. It only came up now because I removed my composer.lock file. Thanks! :) Jan 28, 2021 at 17:58
  • Make sure you have added your SSH key to your GitLab profile: drupal.org/drupalorg/docs/user-accounts/…
    – camslice
    Aug 10, 2023 at 4:48
  • This issue also happens if the WSL clock is wrong. Run date to check. The WSL clock will become out of sync with Windows if you put your computer to sleep with Modern standby, which is the default in Windows 11, I think.
    – mbomb007
    Oct 24, 2023 at 21:08

2 Answers 2

5

This issue happens when you are requesting packages through composer from corporate network. Corporate firewall blocks the network request. The credentials it is asking is actually for corporate proxy.

Just connect to open internet and try again your issue will be probably resolved.

1
2

I figured it out! turns out my anti-virus is blocking git.drupalcode.org/. Had to add git.drupalcode.org/* to my whitelist.

1

Not the answer you're looking for? Browse other questions tagged or ask your own question.